[arch-commits] Commit in snarf/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 18 01:56:12 EDT 2009


    Date: Saturday, April 18, 2009 @ 01:56:12
  Author: eric
Revision: 35896

upgpkg: snarf 7.0-3
    Added license, Added url, FHS man pages

Modified:
  snarf/trunk/PKGBUILD

----------+
 PKGBUILD |   11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-18 05:54:56 UTC (rev 35895)
+++ PKGBUILD	2009-04-18 05:56:12 UTC (rev 35896)
@@ -3,17 +3,18 @@
 # Committer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=snarf
 pkgver=7.0
-pkgrel=2
+pkgrel=3
 pkgdesc="Command-line URL retrieval tool (http/ftp/gopher)"
 arch=(i686 x86_64)
-backup=()
+url="http://www.xach.com/snarf/"
+license=('GPL')
 depends=('glibc')
 source=(http://www.xach.com/snarf/download/source/$pkgname-$pkgver.tar.gz)
 md5sums=('7470d8457bc0d347b5cd8668c9e735c4')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --mandir=/usr/share/man || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list